=== debian/control ===
Source: tiff
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Build-Depends: cdbs (>= 0.4.106~), debhelper (>> 9), dh-autoreconf, dpkg-dev (>= 1.16.1~), autotools-dev, zlib1g-dev, libjpeg-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev, libjbig-dev, liblzma-dev
Standards-Version: 3.9.5
Homepage: http://libtiff.maptools.org

Package: libtiff5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library.

Package: libtiffxx5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library -- C++ interface
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library for the experimental C++ interfaces.

Package: libtiff5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libtiff5 (= ${binary:Version}), libtiffxx5 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev, libjbig-dev, liblzma-dev
Replaces: libtiff5-alt-dev (<< 4.0.3-6~), libtiff4-dev (<< 4.0.3-6~)
Conflicts: libtiff5-alt-dev (<< 4.0.3-6~), libtiff4-dev (<< 4.0.3-6~)
Provides: libtiff-dev
Description: Tag Image File Format library (TIFF), development files
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.

Package: libtiff-tools
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libtiff-opengl
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes tools for converting TIFF images to and from other formats
 and tools for doing simple manipulations of TIFF images.  See also
 libtiff-opengl.

Package: libtiff-opengl
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains libtiff tools that depend upon opengl.  It complements the
 libtiff-tools package, which contains the libtiff tools that don't
 depend upon opengl.

Package: libtiff-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: TIFF manipulation and conversion documentation
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains documentation.

Package: libtiff5-alt-dev
Section: oldlibs
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libtiff5-dev (>> 4.0.3-6~)
Description: Tag Image File Format library (TIFF), transitional package
 This is a transitional package that can be safely removed.  Build
 dependencies on libtiff5-alt-dev should be replaced with build
 dependencies on libtiff-dev.

Package: libtiff4-dev
Section: oldlibs
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libtiff5-dev (>> 4.0.3-6~)
Description: Tag Image File Format library (TIFF), transitional package
 This is a transitional package that can be safely removed.  Build
 dependencies on libtiff4-dev should be replaced with build
 dependencies on libtiff-dev.
