## tiff 4.0.6

=== debian/changelog ===
tiff (4.0.6-1ubuntu0.8) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in tif_getimage.c
    - debian/patches/CVE-2020-35523.patch: check Tile width for overflow in
      libtiff/tif_getimage.c.
    - CVE-2020-35523
  * SECURITY UPDATE: Heap-based buffer overflow in TIFF2PDF tool
    - debian/patches/CVE-2020-35524.patch: properly calculate datasize when
      saving to JPEG YCbCr in tools/tiff2pdf.c.
    - CVE-2020-35524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2021 07:38:05 -0500

tiff (4.0.6-1ubuntu0.7) xenial-security; urgency=medium

  * SECURITY UPDATE: incorrect integer overflow checks
    - debian/patches/CVE-2019-14973.patch: fix implementation-defined
      behaviour in libtiff/tif_aux.c, libtiff/tif_getimage.c,
      libtiff/tif_luv.c, libtiff/tif_pixarlog.c, libtiff/tif_read.c,
      libtiff/tif_strip.c, libtiff/tif_tile.c, libtiff/tiffiop.h.
    - debian/libtiff5.symbols: added new symbols.
    - CVE-2019-14973
  * SECURITY UPDATE: heap-based buffer overflow via crafted RGBA image
    - debian/patches/CVE-2019-17546.patch: fix integer overflow in
      libtiff/tif_getimage.c.
    - CVE-2019-17546

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Oct 2019 09:57:14 -0400

tiff (4.0.6-1ubuntu0.6) xenial-security; urgency=medium

  * SECURITY UPDATE: heap over-read in TIFFWriteScanline
    - debian/patches/CVE-2018-10779.patch: fix overflow in
      libtiff/tif_write.c.
    - CVE-2018-10779
  * SECURITY UPDATE: heap over-read in cpSeparateBufToContigBuf
    - debian/patches/CVE-2018-12900-1.patch: check for overflow in
      tools/tiffcp.c.
    - debian/patches/CVE-2018-12900-2.patch: use INT_MAX in tools/tiffcp.c.
    - CVE-2018-12900
    - CVE-2019-7663
  * SECURITY UPDATE: NULL pointer dereference in _TIFFmemcmp
    - debian/patches/CVE-2018-17000.patch: add NULL check in
      libtiff/tif_dirwrite.c.
    - CVE-2018-17000
  * SECURITY UPDATE: NULL pointer dereference in TIFFWriteDirectorySec
    - debian/patches/CVE-2018-19210-1.patch: unset transferfunction field
      if necessary in libtiff/tif_dir.c.
    - debian/patches/CVE-2018-19210-2.patch: fix warning in
      libtiff/tif_dir.c.
    - CVE-2018-19210
  * SECURITY UPDATE: memory leak in TIFFFdOpen
    - debian/patches/CVE-2019-6128.patch: properly handle errors in
      tools/pal2rgb.c.
    - CVE-2019-6128

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Mar 2019 12:50:36 -0400

tiff (4.0.6-1ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: NULL dereference in TIFFPrintDirectory
    - debian/patches/CVE-2018-7456.patch: properly handle color channels in
      libtiff/tif_dirread.c, libtiff/tif_print.c.
    - CVE-2018-7456
  * SECURITY UPDATE: buffer overflow in LZWDecodeCompat
    - debian/patches/CVE-2018-8905.patch: fix logic in libtiff/tif_lzw.c.
    - CVE-2018-8905
  * SECURITY UPDATE: DoS in TIFFWriteDirectorySec()
    - debian/patches/CVE-2018-10963.patch: avoid assertion in
      libtiff/tif_dirwrite.c.
    - CVE-2018-10963
  * SECURITY UPDATE: multiple overflows
    - debian/patches/CVE-2018-1710x.patch: Avoid overflows in
      tools/pal2rgb.c, tools/tiff2bw.c, tools/ppm2tiff.c.
    - CVE-2018-17100
    - CVE-2018-17101
  * SECURITY UPDATE: JBIGDecode out-of-bounds write
    - debian/patches/CVE-2018-18557.patch: fix issue in libtiff/tif_jbig.c,
      libtiff/tif_read.c.
    - CVE-2018-18557
  * SECURITY UPDATE: NULL pointer dereference in LZWDecode
    - debian/patches/CVE-2018-18661.patch: add checks to tools/tiff2bw.c.
    - CVE-2018-18661

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Jan 2019 09:21:11 -0500

tiff (4.0.6-1ubuntu0.4) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in gif2tiff
    - debian/patches/CVE-2016-3186.patch: check return code in
      tools/gif2tiff.c.
    - CVE-2016-3186
  * SECURITY UPDATE: buffer overflow in gif2tiff
    - debian/patches/CVE-2016-5102.patch: make warning fatal in
      tools/gif2tiff.c.
    - CVE-2016-5102
  * SECURITY UPDATE: multiple overflows
    - debian/patches/CVE-2016-5318.patch: ignore certain fields in
      libtiff/tif_dir.h, libtiff/tif_dirinfo.c, libtiff/tif_dirread.c.
    - CVE-2016-5318
    - CVE-2017-9147
  * SECURITY UPDATE: bmp2tiff issues
    - debian/patches/CVE-2017-5563_9117.patch: add check to
      tools/bmp2tiff.c.
    - CVE-2017-5563
    - CVE-2017-9117
  * SECURITY UPDATE: heap-based buffer overflow in t2p_write_pdf
    - debian/patches/CVE-2017-9935-1.patch: fix transfer function handling
      in libtiff/tif_dir.c, tools/tiff2pdf.c.
    - debian/patches/CVE-2017-9935-2.patch: fix incorrect type for transfer
      table in tools/tiff2pdf.c.
    - CVE-2017-9935
  * SECURITY UPDATE: DoS in TIFFOpen
    - debian/patches/CVE-2017-11613-1.patch: avoid memory exhaustion in
      libtiff/tif_dirread.c.
    - debian/patches/CVE-2017-11613-2.patch: rework fix in
      libtiff/tif_dirread.c.
    - CVE-2017-11613
  * SECURITY UPDATE: TIFFSetupStrips heap overflow in pal2rgb
    - debian/patches/CVE-2017-17095.patch: add workaround to
      tools/pal2rgb.c.
    - CVE-2017-17095

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Mar 2018 10:16:37 -0400

tiff (4.0.6-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS in tif_read.c
    - debian/patches/CVE-2016-10266.patch: fix uint32 overflow in
      libtiff/tif_read.c, libtiff/tiffiop.h.
    - CVE-2016-10266
  * SECURITY UPDATE: DoS in tif_ojpeg.c
    - debian/patches/CVE-2016-10267.patch: make OJPEGDecode() early exit in
      case of failure in libtiff/tif_ojpeg.c.
    - CVE-2016-10267
  * SECURITY UPDATE: DoS in tif_unix.c
    - debian/patches/CVE-2016-10268.patch: avoid uint32 underflow in
      cpDecodedStrips in tools/tiffcp.c.
    - CVE-2016-10268
  * SECURITY UPDATE: DoS in tif_unix.c
    - debian/patches/CVE-2016-10269.patch: fix heap-based buffer overflow
      in libtiff/tif_luv.c, libtiff/tif_pixarlog.c.
    - CVE-2016-10269

