=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
-Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>> 9),
                dh-autoreconf,
@@ -15,10 +15,10 @@
                libxi-dev,
                libxmu-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://libtiff.maptools.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git
+#Vcs-Git: git://anonscm.debian.org/collab-maint/tiff.git
+#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tiff.git
 
 Package: libtiff5
 Architecture: any
